sysdecode_utrace(3)

NAME
sysdecode_utrace - produce text description of a utrace record

LIBRARY
libsysdecode

SYNOPSIS
#include <sys/types.h>
#include <stdbool.h>
#include <stdio.h>
#include <sysdecode.h>
int
sysdecode_utrace(FILE *fp, void *buf, size_t len, int decimal);

DESCRIPTION
The sysdecode_utrace() function outputs a textual representation of a utrace(2) record identified by buf and len to the output stream fp.

The function only outputs a representation for certain types of records. If a record is recognized, the function outputs the description and returns a non-zero value. If the record is not recognized, the function does not output anything and returns zero. The sysdecode_utrace() function currently recognizes utrace(2) records generated by malloc(3) and rtld(1).

RETURN VALUES
The sysdecode_utrace() function returns a non-zero value if it recognizes a utrace(2) record; otherwise it returns zero.

SEE ALSO
utrace(2), sysdecode(3)